install - poner - youtube creator




PackagesNotFoundError: los siguientes paquetes no están disponibles en los canales actuales: (4)

Gracias, Max S. conda-forge también funcionó para mí.

scikit-learn en el cuaderno Anaconda-Jupyter.

Actualización de mi scikit-learn de 0.19.1 a 0.19.2 en anaconda instalada en Ubuntu en la instancia de Google VM:

Ejecute los siguientes comandos en la terminal:

Primero, verifique los paquetes disponibles con versiones

conda list    

Mostrará los paquetes y sus versiones instaladas en la salida:

scikit-learn              0.19.1           py36hedc7406_0  

Actualice a la versión 0.19.2 de julio de 2018.

conda config --append channels conda-forge
conda install scikit-learn=0.19.2

¿Ahora comprueba la versión instalada correctamente o no?

conda list 

Salida es:

scikit-learn              0.19.2          py36_blas_openblasha84fab4_201  [blas_openblas]  conda-forge

Nota: No use el comando pip si está usando Anaconda o Miniconda

Intenté los siguientes comandos:

!conda update conda 
!pip install -U scikit-learn

Instalará los paquetes necesarios y también se mostrará en la conda list pero cuando intente importar ese paquete no funcionará.

En el sitio web http://scikit-learn.org/stable/install.html se menciona como: Advertencia Para actualizar o desinstalar scikit-learn instalado con Anaconda o conda, no debe usar el pip.

Soy algo nuevo en Python. Lo he usado en muchos proyectos, pero realmente no he necesitado desviarme de su configuración estándar. Estoy tratando de instalar algunos paquetes nuevos para obtener acceso a las funciones necesarias para una asignación universitaria. Cuando intento instalar, me sale lo siguiente:

(base) C:\Anaconda2\Jupyter>conda install -c python-control -c cyclus slycot control
Solving environment: failed

PackagesNotFoundError: The following packages are not available from current channels:

  - slycot
  - control

Current channels:

  - https://conda.anaconda.org/python-control/win-64
  - https://conda.anaconda.org/python-control/noarch
  - https://conda.anaconda.org/cyclus/win-64

...

Y un montón de otros canales similares al anterior.

He estado buscando una solución, pero no he encontrado nada sustancial. He visto que puede ser un problema con Windows, que es en lo que lo estoy usando. Pasado que no tengo ni idea de lo que está sucediendo.

Tenga en cuenta que realmente no entiendo cómo funcionan los canales y paquetes, por lo que cualquier idea al respecto también sería excelente.


Has probado:

pip install <package>

o

conda install -c conda-forge <package>

Intenté instalar el paquete fancyimpute para la imputación, pero no tuve suerte. Pero cuando probé los siguientes comandos, se instaló: Comandos:

conda update conda
conda update anaconda
pip install fancyimpute 

(aquí estaba tratando de dar el comando conda install fancyimpute que no funcionó)


Intente agregar el canal conda-forge a su lista de canales con este comando: conda config --append channels conda-forge . Le dice a conda que también busque en el canal conda-forge cuando busque paquetes. Luego, simplemente puede instalar los dos paquetes con el conda install slycot control .

Los canales son básicamente servidores para que las personas alojen paquetes y la conda-forge dirigida por la comunidad suele ser un buen lugar para comenzar cuando los paquetes no están disponibles a través de los canales estándar. Verifiqué y tanto slycot como control parecen estar disponibles allí.